<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_131) on Sat May 20 19:51:42 CEST 2017 -->
<title>S-Index</title>
<meta name="date" content="2017-05-20">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#sampleData-javafx.event.ActionEvent-">sampleData(ActionEvent)</a></span> - Method in class gui.<a href="../gui/RucksackGUIController.html" title="class in gui">RucksackGUIController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#setCapacity-int-">setCapacity(int)</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#setCurrentProfit-int-">setCurrentProfit(int)</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#setStrategy-knapsack.strategies.Strategy-">setStrategy(Strategy)</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>
<div class="block">Set a specific strategy for the Knapsack which is used to create a solution</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#solve-javafx.collections.ObservableList-">solve(ObservableList&lt;Item&gt;)</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../gui/Main.html#start-javafx.stage.Stage-">start(Stage)</a></span> - Method in class gui.<a href="../gui/Main.html" title="class in gui">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../gui/RucksackGUIController.Strat.html#Strat--">Strat()</a></span> - Constructor for enum gui.<a href="../gui/RucksackGUIController.Strat.html" title="enum in gui">RucksackGUIController.Strat</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#strategy">strategy</a></span> - Variable in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../knapsack/strategies/Strategy.html" title="interface in knapsack.strategies"><span class="typeNameLink">Strategy</span></a> - Interface in <a href="../knapsack/strategies/package-summary.html">knapsack.strategies</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">O</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
